Fetch an app's filters
/apps/{id}/filtersFetch an app's filters.
Pass type=error to only return filters relevant to exception events
(fatal + nonfatal), type=anr for filters relevant to ANR events, or
type=error,anr for filters relevant to both exceptions and ANRs. Pass
ud_attr_keys=1 to return user defined attribute keys. Pass span=1
to return filters computed from span data instead of event data. Pass
builds=1 to return version filters computed from uploaded build
mappings instead of event data. If type, span and builds are
omitted, filters are computed from all events.
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
App's UUID.
uuidQuery Parameters
Restrict filters to certain event types, error, anr or error,anr.
Pass 1 to return user defined attribute keys.
Pass 1 to return filters computed from span data instead of event data.
Pass 1 to return version filters computed from uploaded build mappings instead of event data.
Response Body
application/json
curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/filters"{ "countries": [ "bogon" ], "device_manufacturers": [ "Google" ], "device_names": [ "emu64a", "emu64a16k" ], "locales": [ "en-US" ], "network_generations": [ "3g", "unknown" ], "network_providers": [ "T-Mobile", "unknown" ], "network_types": [ "cellular", "no_network", "unknown", "wifi" ], "os_versions": [ { "name": "android", "version": "35" }, { "name": "android", "version": "33" } ], "ud_attrs": { "key_types": [ { "key": "username", "type": "string" }, { "key": "paid_user", "type": "bool" } ], "operator_types": { "bool": [ "eq", "neq" ], "string": [ "eq", "neq", "contains", "startsWith" ] } }, "versions": [ { "code": "800", "name": "0.8.0-SNAPSHOT.debug" }, { "code": "1", "name": "1.0" } ]}Think this page can be better?
Open an issue